Page MenuHomePhabricator

Import less compiler via composer
Closed, ResolvedPublic

Description

Either the current http://leafo.net/lessphp library or the (proposed) http://lessphp.gpeasy.com/ library should be required with composer rather than being embedded in MediaWiki.

Details

Related Gerrit Patches:
mediawiki/core : masterLoad lessphp via composer
mediawiki/vendor : masterAdd leafo/lessphp v0.5.0

Event Timeline

bd808 created this task.Nov 19 2014, 6:40 PM
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 added a project: Librarization.
bd808 changed Security from none to None.

As of Ic21b97e52ec99b8eef094a902ee346cf40a9f174, we're now running the master version of lessphp, so we should ask upstream to tag a new release. I believe @Krinkle and @ori have access to the github repo?

Krinkle updated the task description. (Show Details)Nov 24 2014, 6:36 PM
Legoktm claimed this task.Nov 24 2014, 6:44 PM

Change 175484 had a related patch set uploaded (by Legoktm):
Add leafo/lessphp v0.5.0

https://gerrit.wikimedia.org/r/175484

Patch-For-Review

Change 175485 had a related patch set uploaded (by Legoktm):
Load lessphp via composer

https://gerrit.wikimedia.org/r/175485

Patch-For-Review

Change 175484 merged by jenkins-bot:
Add leafo/lessphp v0.5.0

https://gerrit.wikimedia.org/r/175484

Legoktm moved this task from Untriaged to Needs Review on the Librarization board.Nov 24 2014, 7:34 PM

Change 175485 merged by jenkins-bot:
Load lessphp via composer

https://gerrit.wikimedia.org/r/175485

Legoktm closed this task as Resolved.Nov 24 2014, 8:47 PM
bd808 moved this task from Needs Review to Done on the Librarization board.Nov 24 2014, 10:09 PM
bd808 added a project: MediaWiki-Vendor.
Legoktm moved this task from Backlog to Merged on the MediaWiki-Vendor board.Dec 19 2014, 9:05 PM